<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::transport::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport.html">transport</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::transport::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code> class.  <a href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_message_router_observer.html">MockMessageRouterObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html">MockTransport</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport_observer.html">MockTransportObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html">TestMessageRequestObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a41b2ba34578f148f6117db6f43a3a6f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a41b2ba34578f148f6117db6f43a3a6f8">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, testSlow_emptyAuthToken)</td></tr>
<tr class="separator:a41b2ba34578f148f6117db6f43a3a6f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b57ea333ee7512a27c4c37b1240f13d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a3b57ea333ee7512a27c4c37b1240f13d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, testSlow_waitAuthDelegateInterface)</td></tr>
<tr class="separator:a3b57ea333ee7512a27c4c37b1240f13d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6df21a26f4c30ed8d7b74e769d95b2a1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6df21a26f4c30ed8d7b74e769d95b2a1">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_bearerTokenInRequest)</td></tr>
<tr class="separator:a6df21a26f4c30ed8d7b74e769d95b2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2067e08c07536b23161b13fcc36a03da"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a2067e08c07536b23161b13fcc36a03da">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_triggerPostConnectObject)</td></tr>
<tr class="separator:a2067e08c07536b23161b13fcc36a03da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46cf8591770e3ed71319b0e072a99bc5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a46cf8591770e3ed71319b0e072a99bc5">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_connectionStatusOnPostConnect)</td></tr>
<tr class="separator:a46cf8591770e3ed71319b0e072a99bc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c16ff963241e85e13232a729bf683d0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a4c16ff963241e85e13232a729bf683d0">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, testSlow_retryOnDownchannelConnectionFailure)</td></tr>
<tr class="separator:a4c16ff963241e85e13232a729bf683d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88944599a6b628a3beed1f01cf06ab40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a88944599a6b628a3beed1f01cf06ab40">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_messageRequestContent)</td></tr>
<tr class="separator:a88944599a6b628a3beed1f01cf06ab40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35642b73b38cb278831fb165d17d184c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a35642b73b38cb278831fb165d17d184c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_messageRequestWithAttachment)</td></tr>
<tr class="separator:a35642b73b38cb278831fb165d17d184c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62c710c177277120835fe79eb3b4af29"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a62c710c177277120835fe79eb3b4af29">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_pauseSendWhenSDSEmpty)</td></tr>
<tr class="separator:a62c710c177277120835fe79eb3b4af29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafa362dfbc7f8dc34cf95f6374bb6e9c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#aafa362dfbc7f8dc34cf95f6374bb6e9c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, testSlow_messageRequestsQueuing)</td></tr>
<tr class="separator:aafa362dfbc7f8dc34cf95f6374bb6e9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c6f3cb8b1a2b38161555c64a9985d61"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a1c6f3cb8b1a2b38161555c64a9985d61">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_onSendCompletedNotification)</td></tr>
<tr class="separator:a1c6f3cb8b1a2b38161555c64a9985d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9bd248dd050db0557bea7278295f235"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#aa9bd248dd050db0557bea7278295f235">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_onExceptionReceivedNon200Content)</td></tr>
<tr class="separator:aa9bd248dd050db0557bea7278295f235"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e1b8759faf09466d0bf059541de38d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a7e1b8759faf09466d0bf059541de38d3">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_messageConsumerReceiveDirective)</td></tr>
<tr class="separator:a7e1b8759faf09466d0bf059541de38d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60997576c920e7206b3fa2e66a4454bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a60997576c920e7206b3fa2e66a4454bc">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_onServerSideDisconnectOnDownchannelClosure)</td></tr>
<tr class="separator:a60997576c920e7206b3fa2e66a4454bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dc00f3ac22b832cf914482de0c2c258"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a2dc00f3ac22b832cf914482de0c2c258">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, test_messageRequestTimeoutPingRequest)</td></tr>
<tr class="separator:a2dc00f3ac22b832cf914482de0c2c258"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb296c710224705287e6b63bfbc86341"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#aeb296c710224705287e6b63bfbc86341">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, testTimer_networkInactivityPingRequest)</td></tr>
<tr class="separator:aeb296c710224705287e6b63bfbc86341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88de5f9b036d39ff0f04f46f3638e5b5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a88de5f9b036d39ff0f04f46f3638e5b5">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, testSlow_tearDownPingTimeout)</td></tr>
<tr class="separator:a88de5f9b036d39ff0f04f46f3638e5b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4bf80b1dafe187d30863d8903a1f3ee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ae4bf80b1dafe187d30863d8903a1f3ee">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, testSlow_tearDownPingFailure)</td></tr>
<tr class="separator:ae4bf80b1dafe187d30863d8903a1f3ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adce24489c9fd231c23b063f1fbd13432"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#adce24489c9fd231c23b063f1fbd13432">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>, testSlow_avsStreamsLimit)</td></tr>
<tr class="separator:adce24489c9fd231c23b063f1fbd13432"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac52dc8ce45ea6a800a74bcbc2457c1eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ac52dc8ce45ea6a800a74bcbc2457c1eb">initializeMockTransport</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html">MockTransport</a> *transport)</td></tr>
<tr class="separator:ac52dc8ce45ea6a800a74bcbc2457c1eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd409ef5ef14b4f44e5cb6cc8efdc7e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a3cd409ef5ef14b4f44e5cb6cc8efdc7e">connectMockTransport</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html">MockTransport</a> *transport)</td></tr>
<tr class="separator:a3cd409ef5ef14b4f44e5cb6cc8efdc7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1337089f10cd9ad5ad36e38bb41675c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a1337089f10cd9ad5ad36e38bb41675c4">disconnectMockTransport</a> (<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html">MockTransport</a> *transport)</td></tr>
<tr class="separator:a1337089f10cd9ad5ad36e38bb41675c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6bcc6547687cd4cf466efd6ca2acc51b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6bcc6547687cd4cf466efd6ca2acc51b">TEST_AVS_ENDPOINT_STRING</a> = &quot;http://avs-alexa-na.amazon.com&quot;</td></tr>
<tr class="memdesc:a6bcc6547687cd4cf466efd6ca2acc51b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test endpoint.  <a href="#a6bcc6547687cd4cf466efd6ca2acc51b">More...</a><br /></td></tr>
<tr class="separator:a6bcc6547687cd4cf466efd6ca2acc51b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a105a43d2164f607d3b90756ab1fb1bba"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a105a43d2164f607d3b90756ab1fb1bba">AVS_DOWNCHANNEL_URL_PATH_EXTENSION</a> = &quot;/v20160207/directives&quot;</td></tr>
<tr class="memdesc:a105a43d2164f607d3b90756ab1fb1bba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected Downchannel URL sent on requests.  <a href="#a105a43d2164f607d3b90756ab1fb1bba">More...</a><br /></td></tr>
<tr class="separator:a105a43d2164f607d3b90756ab1fb1bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a9d610fa49570d34636049b9c033406"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a3a9d610fa49570d34636049b9c033406">AVS_PING_URL_PATH_EXTENSION</a> = &quot;/ping&quot;</td></tr>
<tr class="memdesc:a3a9d610fa49570d34636049b9c033406"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected ping URL sent on requests.  <a href="#a3a9d610fa49570d34636049b9c033406">More...</a><br /></td></tr>
<tr class="separator:a3a9d610fa49570d34636049b9c033406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb6e2d9dd1086d3fa4ec7ab78175d32b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#acb6e2d9dd1086d3fa4ec7ab78175d32b">FULL_DOWNCHANNEL_URL</a> = <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6bcc6547687cd4cf466efd6ca2acc51b">TEST_AVS_ENDPOINT_STRING</a> + <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a105a43d2164f607d3b90756ab1fb1bba">AVS_DOWNCHANNEL_URL_PATH_EXTENSION</a></td></tr>
<tr class="memdesc:acb6e2d9dd1086d3fa4ec7ab78175d32b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected Full Downchannel URL sent on requests.  <a href="#acb6e2d9dd1086d3fa4ec7ab78175d32b">More...</a><br /></td></tr>
<tr class="separator:acb6e2d9dd1086d3fa4ec7ab78175d32b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca33a83aa9d17dea6393492d8df5bdb6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#aca33a83aa9d17dea6393492d8df5bdb6">FULL_PING_URL</a> = <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6bcc6547687cd4cf466efd6ca2acc51b">TEST_AVS_ENDPOINT_STRING</a> + <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a3a9d610fa49570d34636049b9c033406">AVS_PING_URL_PATH_EXTENSION</a></td></tr>
<tr class="memdesc:aca33a83aa9d17dea6393492d8df5bdb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expected Full ping URL sent on requests.  <a href="#aca33a83aa9d17dea6393492d8df5bdb6">More...</a><br /></td></tr>
<tr class="separator:aca33a83aa9d17dea6393492d8df5bdb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2d7fee5bd96d79a5777322a9d872f6d"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ae2d7fee5bd96d79a5777322a9d872f6d">ONE_HUNDRED_MILLISECOND_DELAY</a> = std::chrono::milliseconds(100)</td></tr>
<tr class="memdesc:ae2d7fee5bd96d79a5777322a9d872f6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">A 100 millisecond delay used in tests.  <a href="#ae2d7fee5bd96d79a5777322a9d872f6d">More...</a><br /></td></tr>
<tr class="separator:ae2d7fee5bd96d79a5777322a9d872f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1840f647f0b86485aa2abf633eec11da"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a1840f647f0b86485aa2abf633eec11da">TEN_MILLISECOND_DELAY</a> = std::chrono::milliseconds(10)</td></tr>
<tr class="memdesc:a1840f647f0b86485aa2abf633eec11da"><td class="mdescLeft">&#160;</td><td class="mdescRight">A 10 millisecond delay used in tests.  <a href="#a1840f647f0b86485aa2abf633eec11da">More...</a><br /></td></tr>
<tr class="separator:a1840f647f0b86485aa2abf633eec11da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4708fa617127b41d8e237367105b9aed"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a4708fa617127b41d8e237367105b9aed">SHORT_DELAY</a> = std::chrono::seconds(1)</td></tr>
<tr class="memdesc:a4708fa617127b41d8e237367105b9aed"><td class="mdescLeft">&#160;</td><td class="mdescRight">A short delay used in tests.  <a href="#a4708fa617127b41d8e237367105b9aed">More...</a><br /></td></tr>
<tr class="separator:a4708fa617127b41d8e237367105b9aed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0655421d7c6e40566f16821d50437ff2"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a0655421d7c6e40566f16821d50437ff2">RESPONSE_TIMEOUT</a> = std::chrono::seconds(5)</td></tr>
<tr class="memdesc:a0655421d7c6e40566f16821d50437ff2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Typical Timeout used in waiting for responses.  <a href="#a0655421d7c6e40566f16821d50437ff2">More...</a><br /></td></tr>
<tr class="separator:a0655421d7c6e40566f16821d50437ff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcdcfbb955f2ca50d6dc83cb5bcc31a3"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#adcdcfbb955f2ca50d6dc83cb5bcc31a3">LONG_RESPONSE_TIMEOUT</a> = std::chrono::seconds(10)</td></tr>
<tr class="memdesc:adcdcfbb955f2ca50d6dc83cb5bcc31a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">A longer timeout used in waiting for responses.  <a href="#adcdcfbb955f2ca50d6dc83cb5bcc31a3">More...</a><br /></td></tr>
<tr class="separator:adcdcfbb955f2ca50d6dc83cb5bcc31a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab606de94b5b6a5c6d6c608378ac2cb99"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ab606de94b5b6a5c6d6c608378ac2cb99">HTTP_AUTHORIZATION_HEADER_BEARER</a> = &quot;Authorization: Bearer&quot;</td></tr>
<tr class="memdesc:ab606de94b5b6a5c6d6c608378ac2cb99"><td class="mdescLeft">&#160;</td><td class="mdescRight">HTTP Authorization header.  <a href="#ab606de94b5b6a5c6d6c608378ac2cb99">More...</a><br /></td></tr>
<tr class="separator:ab606de94b5b6a5c6d6c608378ac2cb99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac476f4bd8de3bc495747e12d32150764"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ac476f4bd8de3bc495747e12d32150764">CBL_AUTHORIZATION_TOKEN</a> = &quot;AUTH_TOKEN&quot;</td></tr>
<tr class="memdesc:ac476f4bd8de3bc495747e12d32150764"><td class="mdescLeft">&#160;</td><td class="mdescRight">Authorization Token.  <a href="#ac476f4bd8de3bc495747e12d32150764">More...</a><br /></td></tr>
<tr class="separator:ac476f4bd8de3bc495747e12d32150764"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e493f9bed7390370130eebcc53d9cf"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a96e493f9bed7390370130eebcc53d9cf">TEST_ATTACHMENT_ID_STRING_ONE</a> = &quot;testAttachmentId_1&quot;</td></tr>
<tr class="memdesc:a96e493f9bed7390370130eebcc53d9cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">A test AttachmentId string.  <a href="#a96e493f9bed7390370130eebcc53d9cf">More...</a><br /></td></tr>
<tr class="separator:a96e493f9bed7390370130eebcc53d9cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a928f95c49992fc77065566290f74d05c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a928f95c49992fc77065566290f74d05c">TEST_MESSAGE</a> = &quot;aaabbccc&quot;</td></tr>
<tr class="separator:a928f95c49992fc77065566290f74d05c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a16ce138a560f3817dc15e09eb36207"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a9a16ce138a560f3817dc15e09eb36207">TEST_ATTACHMENT_MESSAGE</a> = &quot;MY_A_T_T_ACHMENT&quot;</td></tr>
<tr class="separator:a9a16ce138a560f3817dc15e09eb36207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bd32e481cf20264768470be31c1cb37"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a0bd32e481cf20264768470be31c1cb37">TEST_ATTACHMENT_FIELD</a> = &quot;ATTACHMENT&quot;</td></tr>
<tr class="separator:a0bd32e481cf20264768470be31c1cb37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff2645416a08336b4e231f3bc9d3846b"><td class="memItemLeft" align="right" valign="top">static const long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#aff2645416a08336b4e231f3bc9d3846b">NO_CALL</a> = -2</td></tr>
<tr class="separator:aff2645416a08336b4e231f3bc9d3846b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb31ff84bae99c91a0062368163184fe"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#aeb31ff84bae99c91a0062368163184fe">NON_MIME_PAYLOAD</a> = &quot;A_NON_MIME_PAYLOAD&quot;</td></tr>
<tr class="separator:aeb31ff84bae99c91a0062368163184fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad762133a12942ba72b8f141ecbadcecd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ad762133a12942ba72b8f141ecbadcecd">DIRECTIVE1</a></td></tr>
<tr class="separator:ad762133a12942ba72b8f141ecbadcecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a186e1eda478322a426a92661ffb8fb36"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a186e1eda478322a426a92661ffb8fb36">DIRECTIVE2</a></td></tr>
<tr class="separator:a186e1eda478322a426a92661ffb8fb36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53e9392e7504545af232182bd135fcd1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">MIME_BOUNDARY</a> = &quot;thisisaboundary&quot;</td></tr>
<tr class="separator:a53e9392e7504545af232182bd135fcd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf31b7ef802b8138cdd25493b74fbfa"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#aaaf31b7ef802b8138cdd25493b74fbfa">MIME_BODY_DIRECTIVE1</a></td></tr>
<tr class="separator:aaaf31b7ef802b8138cdd25493b74fbfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08275af57006326eee023e44d5afd1a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ac08275af57006326eee023e44d5afd1a">MIME_BODY_DIRECTIVE2</a></td></tr>
<tr class="separator:ac08275af57006326eee023e44d5afd1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64d1efe487ad1b647e44a6e602079a01"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a64d1efe487ad1b647e44a6e602079a01">HTTP_BOUNDARY_HEADER</a></td></tr>
<tr class="separator:a64d1efe487ad1b647e44a6e602079a01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bee50022b2009a8e6a5744538dc541a"><td class="memItemLeft" align="right" valign="top">static const unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6bee50022b2009a8e6a5744538dc541a">MAX_PING_STREAMS</a> = 1</td></tr>
<tr class="separator:a6bee50022b2009a8e6a5744538dc541a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b4b835a2c2490bfe9d39470b50d7546"><td class="memItemLeft" align="right" valign="top">static const unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a1b4b835a2c2490bfe9d39470b50d7546">MAX_DOWNCHANNEL_STREAMS</a> = 1</td></tr>
<tr class="separator:a1b4b835a2c2490bfe9d39470b50d7546"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0e600702d10f25fcdb81d706b5df3e0"><td class="memItemLeft" align="right" valign="top">static const unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ad0e600702d10f25fcdb81d706b5df3e0">MAX_AVS_STREAMS</a> = 10</td></tr>
<tr class="separator:ad0e600702d10f25fcdb81d706b5df3e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52198938e9ee5e15eaeefd7331d95ed2"><td class="memItemLeft" align="right" valign="top">static const unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a52198938e9ee5e15eaeefd7331d95ed2">MAX_POST_STREAMS</a> = <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ad0e600702d10f25fcdb81d706b5df3e0">MAX_AVS_STREAMS</a> - <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a1b4b835a2c2490bfe9d39470b50d7546">MAX_DOWNCHANNEL_STREAMS</a> - <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6bee50022b2009a8e6a5744538dc541a">MAX_PING_STREAMS</a></td></tr>
<tr class="separator:a52198938e9ee5e15eaeefd7331d95ed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3cd409ef5ef14b4f44e5cb6cc8efdc7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cd409ef5ef14b4f44e5cb6cc8efdc7e">&#9670;&nbsp;</a></span>connectMockTransport()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::connectMockTransport </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html">MockTransport</a> *&#160;</td>
          <td class="paramname"><em>transport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Puts the mock transport into a connected state. </p>

</div>
</div>
<a id="a1337089f10cd9ad5ad36e38bb41675c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1337089f10cd9ad5ad36e38bb41675c4">&#9670;&nbsp;</a></span>disconnectMockTransport()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::disconnectMockTransport </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html">MockTransport</a> *&#160;</td>
          <td class="paramname"><em>transport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Puts the mock transport into a disconnected state. </p>

</div>
</div>
<a id="ac52dc8ce45ea6a800a74bcbc2457c1eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac52dc8ce45ea6a800a74bcbc2457c1eb">&#9670;&nbsp;</a></span>initializeMockTransport()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::transport::test::initializeMockTransport </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_mock_transport.html">MockTransport</a> *&#160;</td>
          <td class="paramname"><em>transport</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Puts the mock transport into a ready to connect state. </p>

</div>
</div>
<a id="a41b2ba34578f148f6117db6f43a3a6f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41b2ba34578f148f6117db6f43a3a6f8">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[1/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_emptyAuthToken&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test non-authorization on empty auth token. </p>

</div>
</div>
<a id="a3b57ea333ee7512a27c4c37b1240f13d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b57ea333ee7512a27c4c37b1240f13d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[2/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_waitAuthDelegateInterface&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test waiting for AuthDelegateInterface. </p>

</div>
</div>
<a id="a6df21a26f4c30ed8d7b74e769d95b2a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6df21a26f4c30ed8d7b74e769d95b2a1">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[3/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_bearerTokenInRequest&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test verifying the proper inclusion of bearer token in requests. </p>

</div>
</div>
<a id="a2067e08c07536b23161b13fcc36a03da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2067e08c07536b23161b13fcc36a03da">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[4/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_triggerPostConnectObject&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test creation and triggering of post-connect object. </p>

</div>
</div>
<a id="a46cf8591770e3ed71319b0e072a99bc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46cf8591770e3ed71319b0e072a99bc5">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[5/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_connectionStatusOnPostConnect&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delay of connection status until post-connect object created / notifies success. </p>

</div>
</div>
<a id="a4c16ff963241e85e13232a729bf683d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c16ff963241e85e13232a729bf683d0">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[6/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_retryOnDownchannelConnectionFailure&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test retry upon failed downchannel connection. </p>

</div>
</div>
<a id="a88944599a6b628a3beed1f01cf06ab40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88944599a6b628a3beed1f01cf06ab40">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[7/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_messageRequestContent&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test sending of MessageRequest content. </p>

</div>
</div>
<a id="a35642b73b38cb278831fb165d17d184c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35642b73b38cb278831fb165d17d184c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[8/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_messageRequestWithAttachment&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test sending of MessageRequest with attachment data. </p>

</div>
</div>
<a id="a62c710c177277120835fe79eb3b4af29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62c710c177277120835fe79eb3b4af29">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[9/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_pauseSendWhenSDSEmpty&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test pause of sending message when attachment buffer (SDS) empty but not closed. </p>

</div>
</div>
<a id="aafa362dfbc7f8dc34cf95f6374bb6e9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafa362dfbc7f8dc34cf95f6374bb6e9c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[10/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_messageRequestsQueuing&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test queuing MessageRequests until a response code has been received for any outstanding MessageRequest </p>

</div>
</div>
<a id="a1c6f3cb8b1a2b38161555c64a9985d61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c6f3cb8b1a2b38161555c64a9985d61">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[11/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onSendCompletedNotification&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test notification of onSendCompleted (check mapping of all cases and their mapping to <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a>). </p>

</div>
</div>
<a id="aa9bd248dd050db0557bea7278295f235"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9bd248dd050db0557bea7278295f235">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[12/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onExceptionReceivedNon200Content&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test onExceptionReceived() notification for non 200 content. </p>

</div>
</div>
<a id="a7e1b8759faf09466d0bf059541de38d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e1b8759faf09466d0bf059541de38d3">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[13/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_messageConsumerReceiveDirective&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html">MessageConsumerInterface</a> receipt of directives on Downchannel and Event streams. </p>

</div>
</div>
<a id="a60997576c920e7206b3fa2e66a4454bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60997576c920e7206b3fa2e66a4454bc">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[14/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onServerSideDisconnectOnDownchannelClosure&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test broadcast onServerSideDisconnect() upon closure of successfully opened downchannel. </p>

</div>
</div>
<a id="a2dc00f3ac22b832cf914482de0c2c258"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dc00f3ac22b832cf914482de0c2c258">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[15/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_messageRequestTimeoutPingRequest&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test detection of MessageRequest timeout and trigger of ping request. </p>

</div>
</div>
<a id="aeb296c710224705287e6b63bfbc86341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb296c710224705287e6b63bfbc86341">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[16/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testTimer_networkInactivityPingRequest&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test detection of network inactivity and trigger of ping request and continued ping for continued inactivity. </p>

</div>
</div>
<a id="a88de5f9b036d39ff0f04f46f3638e5b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88de5f9b036d39ff0f04f46f3638e5b5">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[17/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_tearDownPingTimeout&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test connection tear down for ping timeout. </p>

</div>
</div>
<a id="ae4bf80b1dafe187d30863d8903a1f3ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4bf80b1dafe187d30863d8903a1f3ee">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[18/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_tearDownPingFailure&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test connection tear down for ping failure. </p>

</div>
</div>
<a id="adce24489c9fd231c23b063f1fbd13432"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adce24489c9fd231c23b063f1fbd13432">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[19/19]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::transport::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_h_t_t_p2_transport_test.html">HTTP2TransportTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">testSlow_avsStreamsLimit&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test limiting use of AVS streams to 10. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a105a43d2164f607d3b90756ab1fb1bba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a105a43d2164f607d3b90756ab1fb1bba">&#9670;&nbsp;</a></span>AVS_DOWNCHANNEL_URL_PATH_EXTENSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::AVS_DOWNCHANNEL_URL_PATH_EXTENSION = &quot;/v20160207/directives&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expected Downchannel URL sent on requests. </p>

</div>
</div>
<a id="a3a9d610fa49570d34636049b9c033406"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a9d610fa49570d34636049b9c033406">&#9670;&nbsp;</a></span>AVS_PING_URL_PATH_EXTENSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::AVS_PING_URL_PATH_EXTENSION = &quot;/ping&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expected ping URL sent on requests. </p>

</div>
</div>
<a id="ac476f4bd8de3bc495747e12d32150764"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac476f4bd8de3bc495747e12d32150764">&#9670;&nbsp;</a></span>CBL_AUTHORIZATION_TOKEN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::CBL_AUTHORIZATION_TOKEN = &quot;AUTH_TOKEN&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Authorization Token. </p>

</div>
</div>
<a id="ad762133a12942ba72b8f141ecbadcecd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad762133a12942ba72b8f141ecbadcecd">&#9670;&nbsp;</a></span>DIRECTIVE1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::DIRECTIVE1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{\&quot;namespace:\&quot;SpeechSynthesizer\&quot;,name:\&quot;Speak\&quot;,messageId:\&quot;351df0ff-8041-4891-a925-136f52d54da1\&quot;,&quot;</span></div><div class="line">    <span class="stringliteral">&quot;dialogRequestId:\&quot;58352bb2-7d07-4ba2-944b-10e6df25d193\&quot;}&quot;</span></div></div><!-- fragment -->
</div>
</div>
<a id="a186e1eda478322a426a92661ffb8fb36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a186e1eda478322a426a92661ffb8fb36">&#9670;&nbsp;</a></span>DIRECTIVE2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::DIRECTIVE2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;{\&quot;namespace:\&quot;Alerts\&quot;,name:\&quot;SetAlert\&quot;,messageId:\&quot;ccc005b8-ca8f-4c34-aeb5-73a8dbbd8d37\&quot;,dialogRequestId:&quot;</span></div><div class="line">    <span class="stringliteral">&quot;\&quot;dca0bece-16a7-44f3-b940-e6c4ecc2b1f5\&quot;}&quot;</span></div></div><!-- fragment -->
</div>
</div>
<a id="acb6e2d9dd1086d3fa4ec7ab78175d32b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb6e2d9dd1086d3fa4ec7ab78175d32b">&#9670;&nbsp;</a></span>FULL_DOWNCHANNEL_URL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::FULL_DOWNCHANNEL_URL = <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6bcc6547687cd4cf466efd6ca2acc51b">TEST_AVS_ENDPOINT_STRING</a> + <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a105a43d2164f607d3b90756ab1fb1bba">AVS_DOWNCHANNEL_URL_PATH_EXTENSION</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expected Full Downchannel URL sent on requests. </p>

</div>
</div>
<a id="aca33a83aa9d17dea6393492d8df5bdb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca33a83aa9d17dea6393492d8df5bdb6">&#9670;&nbsp;</a></span>FULL_PING_URL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::FULL_PING_URL = <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6bcc6547687cd4cf466efd6ca2acc51b">TEST_AVS_ENDPOINT_STRING</a> + <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a3a9d610fa49570d34636049b9c033406">AVS_PING_URL_PATH_EXTENSION</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Expected Full ping URL sent on requests. </p>

</div>
</div>
<a id="ab606de94b5b6a5c6d6c608378ac2cb99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab606de94b5b6a5c6d6c608378ac2cb99">&#9670;&nbsp;</a></span>HTTP_AUTHORIZATION_HEADER_BEARER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::HTTP_AUTHORIZATION_HEADER_BEARER = &quot;Authorization: Bearer&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>HTTP Authorization header. </p>

</div>
</div>
<a id="a64d1efe487ad1b647e44a6e602079a01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64d1efe487ad1b647e44a6e602079a01">&#9670;&nbsp;</a></span>HTTP_BOUNDARY_HEADER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::HTTP_BOUNDARY_HEADER</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    <span class="stringliteral">&quot;Content-Type: multipart/related; boundary=&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">MIME_BOUNDARY</a> + <span class="stringliteral">&quot;; type=application/json&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test_html_a53e9392e7504545af232182bd135fcd1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">alexaClientSDK::acl::transport::test::MIME_BOUNDARY</a></div><div class="ttdeci">static const std::string MIME_BOUNDARY</div><div class="ttdef"><b>Definition:</b> HTTP2TransportTest.cpp:122</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="adcdcfbb955f2ca50d6dc83cb5bcc31a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcdcfbb955f2ca50d6dc83cb5bcc31a3">&#9670;&nbsp;</a></span>LONG_RESPONSE_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::acl::transport::test::LONG_RESPONSE_TIMEOUT = std::chrono::seconds(10)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A longer timeout used in waiting for responses. </p>

</div>
</div>
<a id="ad0e600702d10f25fcdb81d706b5df3e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0e600702d10f25fcdb81d706b5df3e0">&#9670;&nbsp;</a></span>MAX_AVS_STREAMS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned alexaClientSDK::acl::transport::test::MAX_AVS_STREAMS = 10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1b4b835a2c2490bfe9d39470b50d7546"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b4b835a2c2490bfe9d39470b50d7546">&#9670;&nbsp;</a></span>MAX_DOWNCHANNEL_STREAMS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned alexaClientSDK::acl::transport::test::MAX_DOWNCHANNEL_STREAMS = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6bee50022b2009a8e6a5744538dc541a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bee50022b2009a8e6a5744538dc541a">&#9670;&nbsp;</a></span>MAX_PING_STREAMS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned alexaClientSDK::acl::transport::test::MAX_PING_STREAMS = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a52198938e9ee5e15eaeefd7331d95ed2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52198938e9ee5e15eaeefd7331d95ed2">&#9670;&nbsp;</a></span>MAX_POST_STREAMS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned alexaClientSDK::acl::transport::test::MAX_POST_STREAMS = <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ad0e600702d10f25fcdb81d706b5df3e0">MAX_AVS_STREAMS</a> - <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a1b4b835a2c2490bfe9d39470b50d7546">MAX_DOWNCHANNEL_STREAMS</a> - <a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a6bee50022b2009a8e6a5744538dc541a">MAX_PING_STREAMS</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaaf31b7ef802b8138cdd25493b74fbfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaf31b7ef802b8138cdd25493b74fbfa">&#9670;&nbsp;</a></span>MIME_BODY_DIRECTIVE1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::MIME_BODY_DIRECTIVE1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="stringliteral">&quot;--&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">MIME_BOUNDARY</a> + <span class="stringliteral">&quot;\r\nContent-Type: application/json&quot;</span> +</div><div class="line">                                                <span class="stringliteral">&quot;\r\n\r\n&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ad762133a12942ba72b8f141ecbadcecd">DIRECTIVE1</a> + <span class="stringliteral">&quot;\r\n--&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">MIME_BOUNDARY</a> + <span class="stringliteral">&quot;--\r\n&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test_html_a53e9392e7504545af232182bd135fcd1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">alexaClientSDK::acl::transport::test::MIME_BOUNDARY</a></div><div class="ttdeci">static const std::string MIME_BOUNDARY</div><div class="ttdef"><b>Definition:</b> HTTP2TransportTest.cpp:122</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test_html_ad762133a12942ba72b8f141ecbadcecd"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#ad762133a12942ba72b8f141ecbadcecd">alexaClientSDK::acl::transport::test::DIRECTIVE1</a></div><div class="ttdeci">static const std::string DIRECTIVE1</div><div class="ttdef"><b>Definition:</b> HTTP2TransportTest.cpp:112</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="ac08275af57006326eee023e44d5afd1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac08275af57006326eee023e44d5afd1a">&#9670;&nbsp;</a></span>MIME_BODY_DIRECTIVE2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::MIME_BODY_DIRECTIVE2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="stringliteral">&quot;--&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">MIME_BOUNDARY</a> + <span class="stringliteral">&quot;\r\nContent-Type: application/json&quot;</span> +</div><div class="line">                                                <span class="stringliteral">&quot;\r\n\r\n&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a186e1eda478322a426a92661ffb8fb36">DIRECTIVE2</a> + <span class="stringliteral">&quot;\r\n--&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">MIME_BOUNDARY</a> + <span class="stringliteral">&quot;\r\n&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test_html_a53e9392e7504545af232182bd135fcd1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a53e9392e7504545af232182bd135fcd1">alexaClientSDK::acl::transport::test::MIME_BOUNDARY</a></div><div class="ttdeci">static const std::string MIME_BOUNDARY</div><div class="ttdef"><b>Definition:</b> HTTP2TransportTest.cpp:122</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test_html_a186e1eda478322a426a92661ffb8fb36"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1acl_1_1transport_1_1test.html#a186e1eda478322a426a92661ffb8fb36">alexaClientSDK::acl::transport::test::DIRECTIVE2</a></div><div class="ttdeci">static const std::string DIRECTIVE2</div><div class="ttdef"><b>Definition:</b> HTTP2TransportTest.cpp:117</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="a53e9392e7504545af232182bd135fcd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53e9392e7504545af232182bd135fcd1">&#9670;&nbsp;</a></span>MIME_BOUNDARY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::MIME_BOUNDARY = &quot;thisisaboundary&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff2645416a08336b4e231f3bc9d3846b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff2645416a08336b4e231f3bc9d3846b">&#9670;&nbsp;</a></span>NO_CALL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const long alexaClientSDK::acl::transport::test::NO_CALL = -2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb31ff84bae99c91a0062368163184fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb31ff84bae99c91a0062368163184fe">&#9670;&nbsp;</a></span>NON_MIME_PAYLOAD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::NON_MIME_PAYLOAD = &quot;A_NON_MIME_PAYLOAD&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2d7fee5bd96d79a5777322a9d872f6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2d7fee5bd96d79a5777322a9d872f6d">&#9670;&nbsp;</a></span>ONE_HUNDRED_MILLISECOND_DELAY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::acl::transport::test::ONE_HUNDRED_MILLISECOND_DELAY = std::chrono::milliseconds(100)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A 100 millisecond delay used in tests. </p>

</div>
</div>
<a id="a0655421d7c6e40566f16821d50437ff2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0655421d7c6e40566f16821d50437ff2">&#9670;&nbsp;</a></span>RESPONSE_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::acl::transport::test::RESPONSE_TIMEOUT = std::chrono::seconds(5)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Typical Timeout used in waiting for responses. </p>

</div>
</div>
<a id="a4708fa617127b41d8e237367105b9aed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4708fa617127b41d8e237367105b9aed">&#9670;&nbsp;</a></span>SHORT_DELAY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::acl::transport::test::SHORT_DELAY = std::chrono::seconds(1)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A short delay used in tests. </p>

</div>
</div>
<a id="a1840f647f0b86485aa2abf633eec11da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1840f647f0b86485aa2abf633eec11da">&#9670;&nbsp;</a></span>TEN_MILLISECOND_DELAY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::acl::transport::test::TEN_MILLISECOND_DELAY = std::chrono::milliseconds(10)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A 10 millisecond delay used in tests. </p>

</div>
</div>
<a id="a0bd32e481cf20264768470be31c1cb37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bd32e481cf20264768470be31c1cb37">&#9670;&nbsp;</a></span>TEST_ATTACHMENT_FIELD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::TEST_ATTACHMENT_FIELD = &quot;ATTACHMENT&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a96e493f9bed7390370130eebcc53d9cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96e493f9bed7390370130eebcc53d9cf">&#9670;&nbsp;</a></span>TEST_ATTACHMENT_ID_STRING_ONE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::TEST_ATTACHMENT_ID_STRING_ONE = &quot;testAttachmentId_1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A test AttachmentId string. </p>

</div>
</div>
<a id="a9a16ce138a560f3817dc15e09eb36207"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a16ce138a560f3817dc15e09eb36207">&#9670;&nbsp;</a></span>TEST_ATTACHMENT_MESSAGE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::TEST_ATTACHMENT_MESSAGE = &quot;MY_A_T_T_ACHMENT&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6bcc6547687cd4cf466efd6ca2acc51b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bcc6547687cd4cf466efd6ca2acc51b">&#9670;&nbsp;</a></span>TEST_AVS_ENDPOINT_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::TEST_AVS_ENDPOINT_STRING = &quot;http://avs-alexa-na.amazon.com&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Test endpoint. </p>

</div>
</div>
<a id="a928f95c49992fc77065566290f74d05c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a928f95c49992fc77065566290f74d05c">&#9670;&nbsp;</a></span>TEST_MESSAGE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::acl::transport::test::TEST_MESSAGE = &quot;aaabbccc&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
